Get all account memberships for a user

Requires the USER.MORTAL.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
The id of this account membership
account_idstringOptional
The id of the account that this membership is for
accountobject or nullOptional
The account that this membership is for
typeenumOptional
The type of this membership
role_idslist of stringsOptional
The roles assigned through this membership
account_referencestring or nullOptionalDeprecated
The reference of the account that this membership is for
environmentstring or nullOptionalDeprecated
The environment that this membership is for
roleslist of objects or nullOptionalDeprecated
The roles that belong to this membership

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error